#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")] // hide console window on Windows in release

use eframe::egui;

mod app;
use app::App;

fn main() -> Result<(), eframe::Error> {
    // Log to stdout (if you run with `RUST_LOG=debug`).
    tracing_subscriber::fmt::init();

    // Setup the options for the default window
    let options = eframe::NativeOptions {
        initial_window_size: Some(egui::vec2(150.0, 50.0)),
        resizable: false,
        ..Default::default()
    };

    //Start rendering and run the application
    eframe::run_native(
        "egui-template",
        options,
        Box::new(|_cc| Box::new(App::default())),
    )
}